## javax.faces.validator
Class DoubleRangeValidator

    java.lang.Object
      javax.faces.validator.DoubleRangeValidator

All Implemented Interfaces:
  java.util.EventListener, StateHolder, Validator

public class DoubleRangeValidator
extends java.lang.Object
implements Validator, StateHolder

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Thomas Spiegl

Field Summary
`static java.lang.String` `MAXIMUM_MESSAGE_ID`
`static java.lang.String` `MINIMUM_MESSAGE_ID`
`static java.lang.String` `TYPE_MESSAGE_ID`
`static java.lang.String` `VALIDATOR_ID`

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`DoubleRangeValidator()`
`DoubleRangeValidator(double maximum)`
`DoubleRangeValidator(double maximum, double minimum)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`double` `getMaximum()`
`double` `getMinimum()`
`boolean` `isTransient()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setMaximum(double maximum)`
`void` `setMinimum(double minimum)`
`void` `setTransient(boolean transientValue)`
`void` `validate(FacesContext facesContext, UIComponent uiComponent, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATOR_ID

    public static final java.lang.String VALIDATOR_ID

See Also:
  Constant Field Values

### MAXIMUM_MESSAGE_ID

    public static final java.lang.String MAXIMUM_MESSAGE_ID

See Also:
  Constant Field Values

### MINIMUM_MESSAGE_ID

    public static final java.lang.String MINIMUM_MESSAGE_ID

See Also:
  Constant Field Values

### TYPE_MESSAGE_ID

    public static final java.lang.String TYPE_MESSAGE_ID

See Also:
  Constant Field Values

Constructor Detail

### DoubleRangeValidator

    public DoubleRangeValidator()

### DoubleRangeValidator

    public DoubleRangeValidator(double maximum)

### DoubleRangeValidator

    public DoubleRangeValidator(double maximum,
                                double minimum)

Method Detail

### validate

    public void validate(FacesContext facesContext,
                         UIComponent uiComponent,
                         java.lang.Object value)
                  throws ValidatorException

  Specified by:
    `validate` in interface `Validator`
  Throws:
    `ValidatorException`

### getMaximum

    public double getMaximum()

### setMaximum

    public void setMaximum(double maximum)

### getMinimum

    public double getMinimum()

### setMinimum

    public void setMinimum(double minimum)

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `StateHolder`

### setTransient

    public void setTransient(boolean transientValue)

  Specified by:
    `setTransient` in interface `StateHolder`

### equals

    public boolean equals(java.lang.Object o)